Attribute VB_Name = "Module1"
'-----------------------------------------------------------------------
'       APCI-8133 Win32 API.
'-----------------------------------------------------------------------

Option Explicit

' Errors

Global Const APCI8133_SUCCESS = 0                ' ُȂ
Global Const APCI8133_ERR_SYSTEM = 1             ' GetLastError sĂ
Global Const APCI8133_ERR_NO_DEVICE = 2          ' gp\ȃfoCXȂ
Global Const APCI8133_ERR_IN_USE = 3             ' w肳ꂽۯĂ͎gp
Global Const APCI8133_ERR_INVALID_SLOT = 4       ' ȁi_jۯĔԍ
Global Const APCI8133_ERR_RESOURCE = 5           ' \[XG[
Global Const APCI8133_ERR_INVALID_PORT = 6       ' ȃ|[gԍ
Global Const APCI8133_ERR_INVALID_ARGUMENT = 7   ' Ȉ
Global Const APCI8133_ERR_NO_CREATE = 8          ' foCXNGCgĂ܂

' aPCI-8133 card's relative port address

Global Const APCI8133_PORT_1 = 0
Global Const APCI8133_PORT_2 = 1
Global Const APCI8133_PORT_3 = 2
Global Const APCI8133_PORT_4 = 3
Global Const APCI8133_PORT_5 = 4
Global Const APCI8133_PORT_6 = 5
Global Const APCI8133_PORT_7 = 6
Global Const APCI8133_PORT_8 = 7

' Miscellaneous

Global Const APCI8133_MAX_SLOTS = 16             ' T|[g{[h

Global Const APCI8133_MAX_PORTS = 8              ' ANZX\ȃ|[g

Global Const APCI8133_SLOT_AUTO = &HFFFF         '

' Resource infomation structure

Global Const APCI8133_MAX_MEM = 9
Global Const APCI8133_MAX_IO = 20
Global Const APCI8133_MAX_DMA = 7

Type APCI8133RESOURCE
    dwNumMemWindows As Long                           ' س޳       gp
    dwMemBase(1 To APCI8133_MAX_MEM) As Long          ' س޳ްڽgp
    dwMemLength(1 To APCI8133_MAX_MEM) As Long        ' س޳       gp
    dwMemAttrib(1 To APCI8133_MAX_MEM) As Long        ' س޳     gp
    dwNumIOPorts As Long                              ' I/O߰Đ
    dwIOPortBase(1 To APCI8133_MAX_IO) As Long        ' I/O߰ްڽ
    dwIOPortLength(1 To APCI8133_MAX_IO) As Long      ' I/O߰Ē
    dwNumDMAs As Long                                 ' DMAِ         gp
    dwDMALst(1 To APCI8133_MAX_DMA) As Long           ' DMAؽ        gp
    dwDMAAttrib(1 To APCI8133_MAX_DMA) As Long        ' DMAّؽ    gp
    dwReserved1(1 To 3) As Long                       ' \              gp
End Type

Declare Function Apci8133GetVersion Lib "apci8133" (pdwDllVersion As Long, pdwVxdVersion As Long) As Long
Declare Function Apci8133Create Lib "apci8133" (pwLogSlot As Integer) As Long
Declare Function Apci8133Close Lib "apci8133" (ByVal wLogSlot As Integer) As Long
Declare Function Apci8133GetResource Lib "apci8133" (ByVal wLogSlot As Integer, pres As APCI8133RESOURCE) As Long
Declare Function Apci8133GetSwitchValue Lib "apci8133" (ByVal wLogSlot As Integer, pdwSwitchValue As Long) As Long
Declare Function Apci8133OutPort Lib "apci8133" (ByVal wLogSlot As Integer, ByVal dwLogPort As Long, ByVal bOutValue As Byte) As Long
Declare Function Apci8133GetLastError Lib "apci8133" (ByVal wLogSlot As Integer) As Long

