Attribute VB_Name = "apci8133w"
'*****************************************************************************
'*                                                                           *
'* aPCI-8133                                                             *
'*                                                                           *
'* Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.                                   *
'*                                                                           *
'* Date 1999/05/27                                                           *
'*                                                                           *
'*****************************************************************************
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI8133_DLL_NAME = "apci8133.dll" ' DLL
Global Const APCI8133_ERR_WRAPDLL = -1        ' bp[֐G[

Dim hDLL As Long                'DLLւ

'*****************************************************************************
'*    apci8133.dll۰(۰ގʹװƂ)                          *
'*                                                                   *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wDllOpen() As Boolean

    Apci8133wDllOpen = False

    If hDLL <> 0 Then Exit Function

    hDLL = LoadLibrary(APCI8133_DLL_NAME)
    If hDLL = 0 Then Exit Function
    
    If Apci8133wGetDllExportFunc() = False Then
        Apci8133wDllClose     ' DLL֐擾ɎŝDLL۰
        Exit Function
    End If

    Apci8133wDllOpen = True

End Function

'*****************************************************************************
'*    apci8133.dll۰(۰ގʹװƂ)                      *
'*                                                                   *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wDllClose() As Boolean

    Apci8133wDllClose = True

    If hDLL = 0 Then Exit Function

    If FreeLibrary(hDLL) <> 0 Then hDLL = 0 Else Apci8133wDllClose = False

End Function

'*****************************************************************************
'*    aPCI-8133 DLL,޲ײްްޮݔԍ擾                        *
'*    pdwDllVersion    DLLްޮݔԍi[                              *
'*        pdwDriverVersion ޲ײްްޮݔԍi[                    *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wGetVersion(pdwDllVersion As Long, pdwDriverVersion As Long) As Boolean

    Apci8133wGetVersion = False
    If hDLL <> 0 Then
        If Apci8133GetVersion(pdwDllVersion, pdwDriverVersion) <> 0 Then
            Apci8133wGetVersion = True
        End If
    End If

End Function

'*****************************************************************************
'*    aPCI-8133̔Cӂ޲̎gp錾                                 *
'*    pwLogSlot  gp޲̘_ۯĔԍi[                      *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wCreate(pwLogSlot As Integer) As Boolean

    Apci8133wCreate = False
    If hDLL <> 0 Then
        If Apci8133Create(pwLogSlot) <> 0 Then
            Apci8133wCreate = True
        End If
    End If

End Function

'*****************************************************************************
'*    aPCI-8133̔Cӂ޲̎gpJ                                 *
'*    wLogSlot ޲̘_ۯĔԍ                              *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wClose(wLogSlot As Integer) As Boolean

    Apci8133wClose = False
    If hDLL <> 0 Then
        If Apci8133Close(wLogSlot) <> 0 Then
            Apci8133wClose = True
        End If
    End If

End Function

'*****************************************************************************
'*    w޲ؿ擾                                         *
'*    wLogSlot ؿ擾޲̘_ۯĔԍ                    *
'*        pResInfo ؿi[\                                  *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wGetResource(wLogSlot As Integer, pResInfo As APCI8133RESOURCE) As Boolean

    Apci8133wGetResource = False
    If hDLL <> 0 Then
        If Apci8133GetResource(wLogSlot, pResInfo) <> 0 Then
            Apci8133wGetResource = True
        End If
    End If

End Function

'*****************************************************************************
'*    ۰ذ̒l擾                                                *
'*    wLogSlot       ۰ذ̒l擾޲̘_ۯĔԍ         *
'*    pdwSwitchValue ۰ذ̒li[                                 *
'* ߂l  TRUE                                                          *
'*        s FALSE                                                         *
'*****************************************************************************
Function Apci8133wGetSwitchValue(wLogSlot As Integer, pdwSwitchValue As Long) As Boolean

    Apci8133wGetSwitchValue = False
    If hDLL <> 0 Then
        If Apci8133GetSwitchValue(wLogSlot, pdwSwitchValue) <> 0 Then
            Apci8133wGetSwitchValue = True
        End If
    End If

End Function

'*****************************************************************************
'*    Cӂ߰Ăްo                                             *
'*    wLogSlot  o͂޲̘_ۯĔԍ                             *
'*        dwLogPort o͂_߰                                         *
'*        bOutValue o͂ް                                             *
'* ߂l  True                                                          *
'*        s False                                                         *
'*****************************************************************************
Function Apci8133wOutPort(wLogSlot As Integer, dwLogPort As Long, bOutValue As Byte) As Boolean

    Apci8133wOutPort = False
    If hDLL <> 0 Then
        If Apci8133OutPort(wLogSlot, dwLogPort, bOutValue) <> 0 Then
            Apci8133wOutPort = True
        End If
    End If

End Function

'*****************************************************************************
'*    aPCI-8133̴װ                                                  *
'*    wLogSlot  װ޲̘_ۯĔԍ                        *
'* ߂l װ                                                            *
'*****************************************************************************
Function Apci8133wGetLastError(wLogSlot As Integer) As Long

    If hDLL = 0 Then
        Apci8133wGetLastError = APCI8133_ERR_WRAPDLL
        Exit Function
    End If

    Apci8133wGetLastError = Apci8133GetLastError(wLogSlot)

End Function

'*---------------------------------------------------------------------------*
'*    DLL߰Ċ֐ڽ̎擾                                          *
'*                                                                   *
'* ߂l  True                                                          *
'*        s False                                                         *
'*---------------------------------------------------------------------------*
Private Function Apci8133wGetDllExportFunc() As Boolean

    Dim pFunc As Long
    
    Apci8133wGetDllExportFunc = False
    
    ' Apci8133GetVersion ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133GetVersion")
    If pFunc = 0 Then Exit Function

    ' Apci8133Create ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133Create")
    If pFunc = 0 Then Exit Function

    ' Apci8133Close ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133Close")
    If pFunc = 0 Then Exit Function

    ' Apci8133GetResource ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133GetResource")
    If pFunc = 0 Then Exit Function

    ' Apci8133OutPort ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133OutPort")
    If pFunc = 0 Then Exit Function

    ' Apci8133GetLastError ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133GetLastError")
    If pFunc = 0 Then Exit Function

    ' Apci8133GetSwitchValue ̱ڽ擾
    pFunc = GetProcAddress(hDLL, "Apci8133GetSwitchValue")
    If pFunc = 0 Then Exit Function

    Apci8133wGetDllExportFunc = True  ' SĂ DLL ߰Ċ֐ڽ擾

End Function




